Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class TextOutputFormat.LineRecordWriter<K,V>

    java.lang.Object
      org.apache.hadoop.mapred.TextOutputFormat.LineRecordWriter<K,V>

All Implemented Interfaces:
  RecordWriter<K,V>

Enclosing class:
  TextOutputFormat<K,V>

    protected static class TextOutputFormat.LineRecordWriter<K,V>

extends Object
implements RecordWriter<K,V>

Field Summary
`protected DataOutputStream` | `out`

Constructor Summary
`TextOutputFormat.LineRecordWriter(DataOutputStream out)`
`TextOutputFormat.LineRecordWriter(DataOutputStream out, String keyValueSeparator)`

Method Summary
`void` | `close(Reporter reporter)` Close this `RecordWriter` to future operations.
`void` | `write(K key, V value)` Writes a key/value pair.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### out

    protected DataOutputStream out

Constructor Detail

### TextOutputFormat.LineRecordWriter

    public TextOutputFormat.LineRecordWriter(DataOutputStream out,
                                             String keyValueSeparator)

### TextOutputFormat.LineRecordWriter

    public TextOutputFormat.LineRecordWriter(DataOutputStream out)

Method Detail

### write

    public void write(K key,
                      V value)
               throws IOException

  Description copied from interface: `RecordWriter`
  Writes a key/value pair.

  Specified by:
    `write` in interface `RecordWriter<K,V>`
  Parameters:
    `key` - the key to write.
    `value` - the value to write.
  Throws:
    `IOException`

### close

    public void close(Reporter reporter)
               throws IOException

  Description copied from interface: `RecordWriter`
  Close this `RecordWriter` to future operations.

  Specified by:
    `close` in interface `RecordWriter<K,V>`
  Parameters:
    `reporter` - facility to report progress.
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation